summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
Diffstat (limited to 'kde-plasma')
-rw-r--r--kde-plasma/kdecoration/Manifest1
-rw-r--r--kde-plasma/kdecoration/kdecoration-5.20.4.ebuild24
2 files changed, 25 insertions, 0 deletions
diff --git a/kde-plasma/kdecoration/Manifest b/kde-plasma/kdecoration/Manifest
index 642dd4acdd12..864f473a4418 100644
--- a/kde-plasma/kdecoration/Manifest
+++ b/kde-plasma/kdecoration/Manifest
@@ -1,2 +1,3 @@
DIST kdecoration-5.19.5.tar.xz 43832 BLAKE2B 7d72c6014e6893f194c3c1faa2cab0cde122ed51e39006c95eda2bff247601e54d973cb2ad7ce6a92bc410db288396e279efb5b15c911d7008d47d566e9b504d SHA512 74ce5ed6a071ebc484103a2efbfbf3f2f624852dc00e141ced85813571bffb351f832dd6162c1c672274006c7bf2c7b64d59e5224f5eca6d17cd3e3a2e35151b
DIST kdecoration-5.20.3.tar.xz 45600 BLAKE2B 58d2ebfdb60ab7866d861e66ce0f67ea30ba4c28f12d7af59c4a140c4ffb8dae1b24909fb43f7ddc8186ec8e4f6043c65cf67839cc310e87709dd96fea3cf1e1 SHA512 602ca27b093520d4e42e510ba7da2ef1bafe0653d6b7d48abce623bc2628d19fbb9d11b246e038e7562d58a1302ff2c0df13459b618bfdd66fc8efff66832b4e
+DIST kdecoration-5.20.4.tar.xz 45516 BLAKE2B 2044c72d710e086fe652e044ed7701cf581c598368204ca4e10ce9954cd347b177e676b2ccaa04533261eca395acb3d51fce748825ccb43da53de4f92b448612 SHA512 0102144eb64998f8bbca969b7c77e0b04d8562651b6c9905cd9f35f8252fc1e7e943f5cb4705e6f82636cafa5bff608e3f82930aa8638f963c1ad34b5d766796
diff --git a/kde-plasma/kdecoration/kdecoration-5.20.4.ebuild b/kde-plasma/kdecoration/kdecoration-5.20.4.ebuild
new file mode 100644
index 000000000000..e66f43ab382d
--- /dev/null
+++ b/kde-plasma/kdecoration/kdecoration-5.20.4.ebuild
@@ -0,0 +1,24 @@
+# Copyright 1999-2020 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=7
+
+ECM_TEST="forceoptional"
+KFMIN=5.74.0
+PVCUT=$(ver_cut 1-3)
+QTMIN=5.15.1
+VIRTUALX_REQUIRED="test"
+inherit ecm kde.org
+
+DESCRIPTION="Plugin based library to create window decorations"
+
+LICENSE="|| ( LGPL-2.1 LGPL-3 )"
+SLOT="5"
+KEYWORDS="~amd64 ~arm ~arm64 ~ppc64 ~x86"
+IUSE=""
+
+DEPEND="
+ >=dev-qt/qtgui-${QTMIN}:5
+ >=kde-frameworks/ki18n-${KFMIN}:5
+"
+RDEPEND="${DEPEND}"